## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     azure-mgmt-servicefabric

Name:           python-%{srcname}
Version:        1.0.0
Release:        %autorelease
Summary:        Microsoft Azure Service Fabric Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Service Fabric Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Tue Jun 28 2022 Major Hayden <major@redhat.com> 1:1.0.0-8
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1:1.0.0-7
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:1.0.0-6
- Fix BuildRequires

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:1.0.0-4
- Bump release number

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:1.0.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:1.0.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> 1:1.0.0-1
- Update to 1.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:0.5.0-2
- Add epoch number for 0.5.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:0.5.0-1
- Downgrade to 0.5.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 1.0.0-1
- Initial commit (#1971857)
